% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(graph,up(v),1),up,col(up_c_maxc_v,3),v,26,1,t([col(up_c_maxc_v,1),col(up_c_maxc_v,2)],[c,maxc],[_14769,_14773],polynom([monome([t(_14769,1),t(_14773,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_maxc_s_v,3),v,26,1,t([col(up_maxc_s_v,1),col(up_maxc_s_v,2)],[maxc,s],[_14787,_14791],polynom([monome([t(_14787,1),t(_14791,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_s_maxs_v,3),v,26,1,t([col(up_s_maxs_v,1),col(up_s_maxs_v,2)],[s,maxs],[_14787,_14791],polynom([monome([t(_14787,1),t(_14791,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_c_maxc_maxs_v,4),v,16,1,t([col(up_c_maxc_maxs_v,1),col(up_c_maxc_maxs_v,2)],[c,maxc],[_14787,_14791],polynom([monome([t(_14787,1),t(_14791,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_c_maxc_s_v,4),v,14,1,t([col(up_c_maxc_s_v,1),col(up_c_maxc_s_v,2)],[c,maxc],[_14787,_14791],polynom([monome([t(_14787,1),t(_14791,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),secondary,col(up_c_minc_maxc_v,5),minmaxc,24,2,t([col(up_c_minc_maxc_v,2),col(up_c_minc_maxc_v,3)],[minc,maxc],[_14787,_14791],if(eq(_14787,_14791),0,_14787)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(v),2),secondary,col(up_c_minc_maxc_v,6),rminc,24,4,t([col(up_c_minc_maxc_v,1),col(up_c_minc_maxc_v,2),col(up_c_minc_maxc_v,3)],[c,minc,maxc],[_14801,_14805,_14809],polynom([monome([t(_14801,1),t(_14809,1)],1),monome([t(_14801,1),t(_14805,1)],-1),monome([t(_14809,1)],-1),monome([t(_14805,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,4,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),3),up,col(up_c_minc_maxc_v,4),v,24,3,t([col(up_c_minc_maxc_v,1),col(up_c_minc_maxc_v,2),col(up_c_minc_maxc_v,3)],[c,minc,maxc],[_14801,_14805,_14809],polynom([monome([t(_14801,1),t(_14809,1)],1),monome([t(_14809,1)],-1),monome([t(_14805,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),4),up,col(up_c_minc_maxc_v,4),v,24,2,t([col(up_c_minc_maxc_v,1),col(up_c_minc_maxc_v,2),col(up_c_minc_maxc_v,6)],[c,minc,rminc],[_14801,_14805,_14809],polynom([monome([t(_14801,1),t(_14805,1)],1),monome([t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_c_s_maxs_v,4),v,16,1,t([col(up_c_s_maxs_v,2),col(up_c_s_maxs_v,3)],[s,maxs],[_14787,_14791],polynom([monome([t(_14787,1),t(_14791,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_maxc_s_maxs_v,4),v,14,3,t([col(up_maxc_s_maxs_v,1),col(up_maxc_s_maxs_v,2),col(up_maxc_s_maxs_v,3)],[maxc,s,maxs],[_14801,_14805,_14809],polynom([monome([t(_14809,1),t(ceil(_14801,_14809),1)],-1),monome([t(_14805,1),t(_14809,1)],1),monome([t(_14801,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_maxc_s_mins_v,4),v,24,3,t([col(up_maxc_s_mins_v,1),col(up_maxc_s_mins_v,2),col(up_maxc_s_mins_v,3)],[maxc,s,mins],[_14805,_14809,_14813],polynom([monome([t(_14805,1),t(_14809,1)],1),monome([t(_14813,1)],1),monome([t(_14805,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),secondary,col(up_minc_maxc_s_v,5),minmaxc,24,2,t([col(up_minc_maxc_s_v,1),col(up_minc_maxc_s_v,2)],[minc,maxc],[_14791,_14795],if(eq(_14791,_14795),0,_14791)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(v),2),up,col(up_minc_maxc_s_v,4),v,24,3,t([col(up_minc_maxc_s_v,1),col(up_minc_maxc_s_v,2),col(up_minc_maxc_s_v,3)],[minc,maxc,s],[_14805,_14809,_14813],polynom([monome([t(_14809,1),t(_14813,1)],1),monome([t(_14809,1)],-1),monome([t(_14805,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_s_mins_maxs_v,4),v,24,3,t([col(up_s_mins_maxs_v,1),col(up_s_mins_maxs_v,2),col(up_s_mins_maxs_v,3)],[s,mins,maxs],[_14791,_14795,_14799],polynom([monome([t(_14791,1),t(_14799,1)],1),monome([t(_14799,1)],-1),monome([t(_14795,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).

missing(up_c_maxc_mins_v,up,v).
missing(up_minc_maxc_s_v,up,v).
missing(up_minc_s_maxs_v,up,v).
