% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(partition0,low(max),1),low,col(low_n_m_max,3),max,20,1,t([col(low_n_m_max,1),col(low_n_m_max,2)],[n,m],[_14791,_14795],polynom([monome([t(ceil(_14791,_14795),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(max),1),secondary,col(low_n_m_min_max,6),rmin,13,2,t([col(low_n_m_min_max,1),col(low_n_m_min_max,2),col(low_n_m_min_max,3)],[n,m,min],[_14823,_14827,_14831],polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(max),2),secondary,col(low_n_m_min_max,5),range,13,4,t([col(low_n_m_min_max,2),col(low_n_m_min_max,6)],[m,rmin],[_14809,_14813],ceil(polynom([monome([t(_14813,1)],1)]),polynom([monome([t(min(_14813,1),1)],-1),monome([t(_14809,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(max),3),low,col(low_n_m_min_max,4),max,13,2,t([col(low_n_m_min_max,3),col(low_n_m_min_max,5)],[min,range],[_14809,_14813],polynom([monome([t(_14813,1)],1),monome([t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(max),1),low,col(low_n_m_nval_max,4),max,10,1,t([col(low_n_m_nval_max,1),col(low_n_m_nval_max,3)],[n,nval],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(max),1),low,col(low_n_m_range_max,4),max,9,2,t([col(low_n_m_range_max,3),col(low_n_m_range_max,5)],[range,min],[_14809,_14813],polynom([monome([t(_14813,1)],1),monome([t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).

missing(low_n_m_range_max,col,min).
missing(low_n_m_range_max,col,rmin).
missing(low_n_m_range_max,low,max).
missing(low_n_m_sum_squares_max,low,max).
