% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(partition0,low(min),1),secondary,col(low_n_m_min,4),rmin,20,2,t([col(low_n_m_min,1),col(low_n_m_min,2)],[n,m],[_14783,_14787],if(eq(_14787,1),0,_14783)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(partition0,low(min),2),low,col(low_n_m_min,3),min,20,2,t([col(low_n_m_min,1),col(low_n_m_min,2)],[n,m],[_14783,_14787],if(eq(_14787,1),_14783,0)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(partition0,low(min),3),low,col(low_n_m_min,3),min,20,2,t([col(low_n_m_min,1),col(low_n_m_min,4)],[n,rmin],[_14783,_14787],if(eq(_14783,_14787),0,_14783)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(partition0,low(min),1),secondary,col(low_n_m_max_min,5),range,9,3,t([col(low_n_m_max_min,1),col(low_n_m_max_min,2),col(low_n_m_max_min,3)],[n,m,max],[_14815,_14819,_14823],min(polynom([monome([t(_14819,1),t(_14823,1)],1),monome([t(_14815,1)],-1)]),polynom([monome([t(_14823,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(min),2),secondary,col(low_n_m_max_min,6),rmin,9,3,t([col(low_n_m_max_min,1),col(low_n_m_max_min,2),col(low_n_m_max_min,5)],[n,m,range],[_14815,_14819,_14823],min(polynom([monome([t(_14819,1),t(_14823,1)],1),monome([t(_14823,1)],-1)]),polynom([monome([t(_14815,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(min),3),low,col(low_n_m_max_min,4),min,9,3,t([col(low_n_m_max_min,1),col(low_n_m_max_min,2),col(low_n_m_max_min,3)],[n,m,max],[_14815,_14819,_14823],max(polynom([monome([t(_14819,1),t(_14823,1)],-1),monome([t(_14823,1)],1),monome([t(_14815,1)],1)]),0)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(min),4),low,col(low_n_m_max_min,4),min,9,2,t([col(low_n_m_max_min,3),col(low_n_m_max_min,5)],[max,range],[_14801,_14805],polynom([monome([t(_14805,1)],-1),monome([t(_14801,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(min),1),low,col(low_n_m_nval_min,4),min,10,4,t([col(low_n_m_nval_min,1),col(low_n_m_nval_min,2),col(low_n_m_nval_min,5)],[n,m,rmin],[_14815,_14819,_14823],if(eq(linear(_14815,_14819,_14823,-1),0),1,minus(_14815,_14823))),cond,[cond(linear_eq_coef(cst(-3,3),coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(partition0,low(min),2),low,col(low_n_m_nval_min,4),min,10,3,t([col(low_n_m_nval_min,1),col(low_n_m_nval_min,2),col(low_n_m_nval_min,5)],[n,m,rmin],[_14815,_14819,_14823],ceil(polynom([monome([t(_14823,1)],-1),monome([t(_14815,1)],1)]),polynom([monome([t(_14819,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(min),1),low,col(low_n_m_range_min,4),min,9,2,t([col(low_n_m_range_min,3),col(low_n_m_range_min,5)],[range,max],[_14801,_14805],polynom([monome([t(_14805,1)],1),monome([t(_14801,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(min),1),low,col(low_n_m_sum_squares_min,4),min,9,3,t([col(low_n_m_sum_squares_min,1),col(low_n_m_sum_squares_min,2),col(low_n_m_sum_squares_min,5)],[n,m,rmin],[_14801,_14805,_14809],ceil(polynom([monome([t(_14809,1)],-1),monome([t(_14801,1)],1)]),polynom([monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).

missing(low_n_m_nval_min,col,rmin).
missing(low_n_m_nval_min,low,min).
missing(low_n_m_range_min,col,max).
missing(low_n_m_range_min,col,rmin).
missing(low_n_m_range_min,low,min).
missing(low_n_m_sum_squares_min,col,rmin).
missing(low_n_m_sum_squares_min,low,min).
