% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(tree,up(minp),1),secondary,col(up_v_minp,3),maxp,18,2,t([col(up_v_minp,1)],[v],[_14781],polynom([monome([t(_14781,1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(tree,up(minp),2),secondary,col(up_v_minp,4),maxd,18,3,t([col(up_v_minp,1)],[v],[_14781],bool(0,0,and,1,[geq(_14781,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(tree,up(minp),3),secondary,col(up_v_minp,4),maxd,18,1,t([col(up_v_minp,1)],[v],[_14781],bool(1,0,and,1,[eq(_14781,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(tree,up(minp),4),secondary,col(up_v_minp,5),f,18,0,t([],[],[],1),cst,[]).
conjecture(id(tree,up(minp),5),secondary,col(up_v_minp,6),mind,18,1,t([col(up_v_minp,4)],[maxd],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(tree,up(minp),6),up,col(up_v_minp,2),minp,18,1,t([col(up_v_minp,3)],[maxp],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(tree,up(minp),1),secondary,col(up_v_f_minp,4),maxp,18,2,t([col(up_v_f_minp,1),col(up_v_f_minp,2)],[v,f],[_14813,_14817],polynom([monome([t(_14817,1)],-1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(tree,up(minp),2),secondary,col(up_v_f_minp,5),maxd,18,2,t([col(up_v_f_minp,1),col(up_v_f_minp,2)],[v,f],[_14813,_14817],if(eq(_14813,_14817),0,_14817)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(tree,up(minp),3),secondary,col(up_v_f_minp,6),mind,18,3,t([col(up_v_f_minp,1),col(up_v_f_minp,2)],[v,f],[_14813,_14817],if(leq(minus(_14813,_14817),1),minus(_14813,1),1)),cond,[cond(binary_term_leq_coef([minus],coef(0,3))),then(unary_term([minus(1,3)])),else(coef(-3,3))]).
conjecture(id(tree,up(minp),4),secondary,col(up_v_f_minp,6),mind,18,2,t([col(up_v_f_minp,1),col(up_v_f_minp,5)],[v,maxd],[_14813,_14817],if(eq(minus(_14813,_14817),1),_14817,1)),cond,[cond(binary_term_eq_coef([minus],coef(0,3))),then(attr),else(coef(-3,3))]).
conjecture(id(tree,up(minp),5),up,col(up_v_f_minp,3),minp,18,1,t([col(up_v_f_minp,4)],[maxp],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(tree,up(minp),1),secondary,col(up_v_maxd_minp,4),maxp,18,3,t([col(up_v_maxd_minp,1),col(up_v_maxd_minp,2)],[v,maxd],[_14813,_14817],polynom([monome([t(_14817,1),t(min(_14817,1),1)],-1),monome([t(_14813,1),t(min(_14817,1),1)],1)])),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(tree,up(minp),2),secondary,col(up_v_maxd_minp,5),mind,18,2,t([col(up_v_maxd_minp,1),col(up_v_maxd_minp,2)],[v,maxd],[_14813,_14817],if(eq(minus(_14813,_14817),1),_14817,1)),cond,[cond(binary_term_eq_coef([minus],coef(0,3))),then(attr),else(coef(-3,3))]).
conjecture(id(tree,up(minp),3),secondary,col(up_v_maxd_minp,6),f,18,2,t([col(up_v_maxd_minp,2)],[maxd],[_14799],if(eq(_14799,0),1,_14799)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(tree,up(minp),4),secondary,col(up_v_maxd_minp,4),maxp,18,2,t([col(up_v_maxd_minp,1),col(up_v_maxd_minp,6)],[v,f],[_14813,_14817],polynom([monome([t(_14817,1)],-1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(tree,up(minp),5),up,col(up_v_maxd_minp,3),minp,18,1,t([col(up_v_maxd_minp,4)],[maxp],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(tree,up(minp),1),up,col(up_v_maxp_minp,3),minp,18,1,t([col(up_v_maxp_minp,2)],[maxp],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(tree,up(minp),1),up,col(up_v_f_maxp_minp,4),minp,13,1,t([col(up_v_f_maxp_minp,3)],[maxp],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).

missing(up_v_mind_minp,up,minp).
missing(up_v_f_maxd_minp,up,minp).
missing(up_v_f_mind_minp,up,minp).
missing(up_v_maxd_maxp_minp,up,minp).
missing(up_v_mind_maxd_minp,up,minp).
missing(up_v_mind_maxp_minp,up,minp).
