% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(forest0,low(maxt),1),secondary,col(low_v_maxd_maxt,4),maxf,18,2,t([col(low_v_maxd_maxt,2)],[maxd],[_14739],if(eq(_14739,0),1,_14739)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_maxt,3),maxt,18,1,t([col(low_v_t_maxt,1),col(low_v_t_maxt,2)],[v,t],[_14757,_14761],polynom([monome([t(ceil(_14757,_14761),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,low(maxt),1),secondary,col(low_v_f_maxd_maxt,5),maxf,13,2,t([col(low_v_f_maxd_maxt,3)],[maxd],[_14743],if(eq(_14743,0),1,_14743)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_f_maxt,4),maxt,13,1,t([col(low_v_t_f_maxt,1),col(low_v_t_f_maxt,2)],[v,t],[_14757,_14761],polynom([monome([t(ceil(_14757,_14761),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_maxd_maxt,4),maxt,13,6,t([col(low_v_t_maxd_maxt,1),col(low_v_t_maxd_maxt,2),col(low_v_t_maxd_maxt,3)],[v,t,maxd],[_14771,_14775,_14779],max(plus(_14779,1),if(leq(_14771,prod(_14775,2)),0,ceil(_14771,_14775)))),decomp,[decomp([families([unary_template([binary(4),unary(0)]),rest(decomp)]),decomp(binary_op(max),[unary_template(plus(_14779,1)),rest([decomp([cond,[cond(attr_leq_unary([prod(2,3)])),then(coef(-3,3)),else(binary_term([ceil]))]])])])])]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_maxf_maxt,4),maxt,13,7,t([col(low_v_t_maxf_maxt,1),col(low_v_t_maxf_maxt,2),col(low_v_t_maxf_maxt,3)],[v,t,maxf],[_14771,_14775,_14779],if(eq(_14771,_14775),1,max(plus(_14779,1),if(leq(_14771,prod(_14775,2)),0,ceil(_14771,_14775))))),decomp,[decomp([families([cond_template([cond(3),then(1)]),else(decomp)]),decomp(if(cond(3),then(1),else([decomp([families([unary_template([binary(4),unary(0)]),rest(cond)]),decomp(binary_op(max),[unary_template(plus(_14779,1)),rest([cond(attr_leq_unary([prod(2,3)])),then(coef(-3,3)),else(binary_term([ceil]))])])])])))])]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_maxp_maxt,4),maxt,13,6,t([col(low_v_t_maxp_maxt,1),col(low_v_t_maxp_maxt,2),col(low_v_t_maxp_maxt,3)],[v,t,maxp],[_14771,_14775,_14779],max(plus(_14779,1),if(leq(_14771,prod(_14775,2)),0,ceil(_14771,_14775)))),decomp,[decomp([families([unary_template([binary(4),unary(0)]),rest(decomp)]),decomp(binary_op(max),[unary_template(plus(_14779,1)),rest([decomp([cond,[cond(attr_leq_unary([prod(2,3)])),then(coef(-3,3)),else(binary_term([ceil]))]])])])])]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_minf_maxt,4),maxt,16,1,t([col(low_v_t_minf_maxt,1),col(low_v_t_minf_maxt,2)],[v,t],[_14757,_14761],polynom([monome([t(ceil(_14757,_14761),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_minp_maxt,4),maxt,16,1,t([col(low_v_t_minp_maxt,1),col(low_v_t_minp_maxt,2)],[v,t],[_14757,_14761],polynom([monome([t(ceil(_14757,_14761),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_mint_maxt,4),maxt,18,7,t([col(low_v_t_mint_maxt,1),col(low_v_t_mint_maxt,2),col(low_v_t_mint_maxt,3)],[v,t,mint],[_14757,_14761,_14765],ceil(if(eq(_14757,_14765),_14757,minus(_14757,_14765)),plus(minus(_14761,1),bool(0,0,and,1,[eq(_14761,1)])))),decomp,[decomp([families([unary_template([binary(8),unary(0)]),slack(bool),rest(cond)]),decomp(binary_op(rceil),[unary_template(minus(_14761,1)),slack([bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]),rest([cond(attr_eq_attr),then(attr),else(binary_term([minus]))])])])]).

missing(low_v_maxt,low,maxt).
missing(low_v_f_maxt,low,maxt).
missing(low_v_maxd_maxt,low,maxt).
missing(low_v_maxf_maxt,low,maxt).
missing(low_v_maxp_maxt,low,maxt).
missing(low_v_mind_maxt,col,minf).
missing(low_v_mind_maxt,low,maxt).
missing(low_v_minf_maxt,low,maxt).
missing(low_v_minp_maxt,low,maxt).
missing(low_v_mint_maxt,low,maxt).
missing(low_v_f_maxd_maxt,low,maxt).
missing(low_v_f_maxf_maxt,low,maxt).
missing(low_v_f_maxp_maxt,low,maxt).
missing(low_v_f_mind_maxt,low,maxt).
missing(low_v_f_minf_maxt,low,maxt).
missing(low_v_f_minp_maxt,low,maxt).
missing(low_v_f_mint_maxt,low,maxt).
missing(low_v_maxd_maxp_maxt,low,maxt).
missing(low_v_maxd_minp_maxt,low,maxt).
missing(low_v_maxd_mint_maxt,low,maxt).
missing(low_v_maxf_maxd_maxt,low,maxt).
missing(low_v_maxf_maxp_maxt,low,maxt).
missing(low_v_maxf_mind_maxt,low,maxt).
missing(low_v_maxf_minp_maxt,low,maxt).
missing(low_v_maxf_mint_maxt,low,maxt).
missing(low_v_maxp_mint_maxt,low,maxt).
missing(low_v_mind_maxd_maxt,col,maxf).
missing(low_v_mind_maxd_maxt,low,maxt).
missing(low_v_mind_maxp_maxt,low,maxt).
missing(low_v_mind_minp_maxt,low,maxt).
missing(low_v_mind_mint_maxt,low,maxt).
missing(low_v_minf_maxd_maxt,low,maxt).
missing(low_v_minf_maxf_maxt,low,maxt).
missing(low_v_minf_maxp_maxt,low,maxt).
missing(low_v_minf_mind_maxt,low,maxt).
missing(low_v_minf_minp_maxt,low,maxt).
missing(low_v_minf_mint_maxt,low,maxt).
missing(low_v_minp_maxp_maxt,low,maxt).
missing(low_v_minp_mint_maxt,low,maxt).
missing(low_v_t_mind_maxt,low,maxt).
