% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(partition,up(nval),1),secondary,col(up_n_nval,3),min,30,0,t([],[],[],1),cst,[]).
conjecture(id(partition,up(nval),2),secondary,col(up_n_nval,5),range,30,0,t([],[],[],0),cst,[]).
conjecture(id(partition,up(nval),3),secondary,col(up_n_nval,6),sum_squares,30,1,t([col(up_n_nval,1)],[n],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),4),secondary,col(up_n_nval,10),omin,30,1,t([col(up_n_nval,1)],[n],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),5),secondary,col(up_n_nval,11),omax,30,1,t([col(up_n_nval,1)],[n],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),6),secondary,col(up_n_nval,4),max,30,1,t([col(up_n_nval,3)],[min],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),7),secondary,col(up_n_nval,7),minmax,30,1,t([col(up_n_nval,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),8),secondary,col(up_n_nval,8),mid,30,1,t([col(up_n_nval,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),9),secondary,col(up_n_nval,9),rmin,30,1,t([col(up_n_nval,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),10),secondary,col(up_n_nval,12),omid,30,1,t([col(up_n_nval,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),11),secondary,col(up_n_nval,13),oc,30,1,t([col(up_n_nval,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),12),up,col(up_n_nval,2),nval,30,1,t([col(up_n_nval,1)],[n],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),1),secondary,col(up_n_max_nval,4),min,20,2,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],if(eq(_14813,_14817),_14813,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(partition,up(nval),2),secondary,col(up_n_max_nval,5),range,20,3,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],if(eq(_14813,_14817),0,minus(_14817,1))),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(partition,up(nval),3),secondary,col(up_n_max_nval,6),sum_squares,20,3,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],polynom([monome([t(_14817,2)],1),monome([t(_14817,1)],-1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),4),secondary,col(up_n_max_nval,7),minmax,20,8,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],bool(0,0,and,2,[geq(_14817,2),geq(minus(_14813,_14817),1)])),bool,[bool([neg(0),op([and]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])]).
conjecture(id(partition,up(nval),5),secondary,col(up_n_max_nval,7),minmax,20,1,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],bool(1,0,or,2,[eq(_14813,_14817),eq(_14817,1)])),bool,[bool([neg(1),op([or]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])]).
conjecture(id(partition,up(nval),6),secondary,col(up_n_max_nval,8),mid,20,0,t([],[],[],0),cst,[]).
conjecture(id(partition,up(nval),7),secondary,col(up_n_max_nval,10),omin,20,9,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],max(polynom([monome([t(max(_14817,2),1)],-1),monome([t(_14817,1)],1),monome([],1)]),polynom([monome([t(max(_14817,2),1)],1),monome([t(_14817,1)],-2),monome([t(_14813,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),8),secondary,col(up_n_max_nval,10),omin,20,6,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],max(polynom([monome([t(in(_14817,1,1),1)],-1),monome([],1)]),polynom([monome([t(in(_14817,1,1),1)],1),monome([t(_14817,1)],-1),monome([t(_14813,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),9),secondary,col(up_n_max_nval,10),omin,20,5,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],max(polynom([monome([t(in(_14817,1,1),1)],1),monome([t(_14817,1)],-1),monome([t(_14813,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),10),secondary,col(up_n_max_nval,11),omax,20,2,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],if(eq(_14817,1),_14813,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(partition,up(nval),11),secondary,col(up_n_max_nval,13),oc,20,3,t([col(up_n_max_nval,2)],[max],[_14799],bool(0,0,and,1,[geq(_14799,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition,up(nval),12),secondary,col(up_n_max_nval,13),oc,20,1,t([col(up_n_max_nval,2)],[max],[_14799],bool(1,0,and,1,[eq(_14799,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition,up(nval),13),secondary,col(up_n_max_nval,9),rmin,20,1,t([col(up_n_max_nval,5)],[range],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),14),secondary,col(up_n_max_nval,12),omid,20,1,t([col(up_n_max_nval,8)],[mid],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),15),up,col(up_n_max_nval,3),nval,20,3,t([col(up_n_max_nval,1),col(up_n_max_nval,2)],[n,max],[_14813,_14817],polynom([monome([t(_14817,1)],-1),monome([t(_14813,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),16),up,col(up_n_max_nval,3),nval,20,3,t([col(up_n_max_nval,2),col(up_n_max_nval,6)],[max,sum_squares],[_14813,_14817],polynom([monome([t(_14813,2)],-1),monome([t(_14817,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),17),up,col(up_n_max_nval,3),nval,20,2,t([col(up_n_max_nval,7),col(up_n_max_nval,10)],[minmax,omin],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),1),secondary,col(up_n_min_nval,4),minmax,27,2,t([col(up_n_min_nval,1),col(up_n_min_nval,2)],[n,min],[_14813,_14817],if(eq(_14813 mod _14817,0),0,_14817)),cond,[cond(binary_term_eq_coef([mod],coef(0,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(partition,up(nval),2),secondary,col(up_n_min_nval,5),rmin,27,1,t([col(up_n_min_nval,1),col(up_n_min_nval,2)],[n,min],[_14813,_14817],polynom([monome([t(_14813 mod _14817,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),3),secondary,col(up_n_min_nval,6),oc,27,3,t([col(up_n_min_nval,1),col(up_n_min_nval,2)],[n,min],[_14813,_14817],if(eq(_14817,1),0,floor(_14813,_14817))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([floor]))]).
conjecture(id(partition,up(nval),4),up,col(up_n_min_nval,3),nval,27,1,t([col(up_n_min_nval,1),col(up_n_min_nval,2)],[n,min],[_14813,_14817],polynom([monome([t(floor(_14813,_14817),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),1),secondary,col(up_n_range_nval,4),min,21,0,t([],[],[],1),cst,[]).
conjecture(id(partition,up(nval),2),secondary,col(up_n_range_nval,5),max,21,2,t([col(up_n_range_nval,2)],[range],[_14799],polynom([monome([t(_14799,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),3),secondary,col(up_n_range_nval,6),sum_squares,21,3,t([col(up_n_range_nval,1),col(up_n_range_nval,2)],[n,range],[_14813,_14817],polynom([monome([t(_14817,2)],1),monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),4),secondary,col(up_n_range_nval,7),minmax,21,2,t([col(up_n_range_nval,2)],[range],[_14799],bool(0,0,and,1,[geq(_14799,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition,up(nval),5),secondary,col(up_n_range_nval,7),minmax,21,0,t([col(up_n_range_nval,2)],[range],[_14799],bool(1,0,and,1,[eq(_14799,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition,up(nval),6),secondary,col(up_n_range_nval,8),mid,21,0,t([],[],[],0),cst,[]).
conjecture(id(partition,up(nval),7),secondary,col(up_n_range_nval,9),rmin,21,1,t([col(up_n_range_nval,2)],[range],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),8),secondary,col(up_n_range_nval,10),omin,21,6,t([col(up_n_range_nval,1),col(up_n_range_nval,2)],[n,range],[_14813,_14817],max(polynom([monome([t(_14817,1)],-2),monome([t(_14813,1)],1)]),polynom([monome([t(_14817,1)],-1),monome([t(_14813,1)],1),monome([],-1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),9),secondary,col(up_n_range_nval,10),omin,21,5,t([col(up_n_range_nval,1),col(up_n_range_nval,2)],[n,range],[_14813,_14817],max(polynom([monome([t(_14813,1),t(_14817,1)],-1),monome([t(_14813,1)],1)]),polynom([monome([t(_14817,1)],-1),monome([t(_14813,1)],1),monome([],-1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),10),secondary,col(up_n_range_nval,10),omin,21,4,t([col(up_n_range_nval,1),col(up_n_range_nval,2)],[n,range],[_14813,_14817],floor(polynom([monome([t(_14813,1),t(_14817,1)],-1),monome([t(_14813,2)],1),monome([t(_14817,1)],-1)]),polynom([monome([t(_14813,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),11),secondary,col(up_n_range_nval,11),omax,21,2,t([col(up_n_range_nval,1),col(up_n_range_nval,2)],[n,range],[_14813,_14817],if(eq(_14817,0),_14813,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(partition,up(nval),12),secondary,col(up_n_range_nval,10),omin,21,3,t([col(up_n_range_nval,1),col(up_n_range_nval,5)],[n,max],[_14813,_14817],if(eq(_14817,1),_14813,minus(_14813,_14817))),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(binary_term([minus]))]).
conjecture(id(partition,up(nval),13),secondary,col(up_n_range_nval,12),omid,21,1,t([col(up_n_range_nval,8)],[mid],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),14),secondary,col(up_n_range_nval,13),oc,21,1,t([col(up_n_range_nval,7)],[minmax],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(partition,up(nval),15),up,col(up_n_range_nval,3),nval,21,2,t([col(up_n_range_nval,1),col(up_n_range_nval,2)],[n,range],[_14813,_14817],polynom([monome([t(_14817,1)],-1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),16),up,col(up_n_range_nval,3),nval,21,2,t([col(up_n_range_nval,7),col(up_n_range_nval,10)],[minmax,omin],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),1),secondary,col(up_n_max_range_nval,5),min,18,2,t([col(up_n_max_range_nval,2),col(up_n_max_range_nval,3)],[max,range],[_14813,_14817],polynom([monome([t(_14817,1)],-1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),2),secondary,col(up_n_max_range_nval,6),minmax,18,3,t([col(up_n_max_range_nval,2),col(up_n_max_range_nval,3)],[max,range],[_14813,_14817],polynom([monome([t(_14817,1),t(min(_14817,1),1)],-1),monome([t(_14813,1),t(min(_14817,1),1)],1)])),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),3),secondary,col(up_n_max_range_nval,6),minmax,18,2,t([col(up_n_max_range_nval,2),col(up_n_max_range_nval,5)],[max,min],[_14813,_14817],if(eq(_14813,_14817),0,_14817)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(partition,up(nval),4),up,col(up_n_max_range_nval,4),nval,18,4,t([col(up_n_max_range_nval,1),col(up_n_max_range_nval,2),col(up_n_max_range_nval,3)],[n,max,range],[_14827,_14831,_14835],floor(polynom([monome([t(_14835,1)],-1),monome([t(_14827,1)],1)]),polynom([monome([t(_14835,1)],-1),monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),5),up,col(up_n_max_range_nval,4),nval,18,4,t([col(up_n_max_range_nval,1),col(up_n_max_range_nval,2),col(up_n_max_range_nval,5)],[n,max,min],[_14827,_14831,_14835],floor(polynom([monome([t(_14835,1)],1),monome([t(_14831,1)],-1),monome([t(_14827,1)],1)]),polynom([monome([t(_14835,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),6),up,col(up_n_max_range_nval,4),nval,18,3,t([col(up_n_max_range_nval,1),col(up_n_max_range_nval,3),col(up_n_max_range_nval,5)],[n,range,min],[_14827,_14831,_14835],floor(polynom([monome([t(_14831,1)],-1),monome([t(_14827,1)],1)]),polynom([monome([t(_14835,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),7),up,col(up_n_max_range_nval,4),nval,18,3,t([col(up_n_max_range_nval,1),col(up_n_max_range_nval,5),col(up_n_max_range_nval,7)],[n,min,rmin],[_14827,_14831,_14835],floor(polynom([monome([t(_14835,1)],-1),monome([t(_14827,1)],1)]),polynom([monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),1),secondary,col(up_n_min_max_nval,5),range,18,2,t([col(up_n_min_max_nval,2),col(up_n_min_max_nval,3)],[min,max],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),2),secondary,col(up_n_min_max_nval,6),minmax,18,2,t([col(up_n_min_max_nval,2),col(up_n_min_max_nval,3)],[min,max],[_14813,_14817],if(eq(_14813,_14817),0,_14813)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(partition,up(nval),3),up,col(up_n_min_max_nval,4),nval,18,4,t([col(up_n_min_max_nval,1),col(up_n_min_max_nval,2),col(up_n_min_max_nval,3)],[n,min,max],[_14827,_14831,_14835],floor(polynom([monome([t(_14835,1)],-1),monome([t(_14831,1)],1),monome([t(_14827,1)],1)]),polynom([monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),4),up,col(up_n_min_max_nval,4),nval,18,3,t([col(up_n_min_max_nval,1),col(up_n_min_max_nval,2),col(up_n_min_max_nval,5)],[n,min,range],[_14827,_14831,_14835],floor(polynom([monome([t(_14835,1)],-1),monome([t(_14827,1)],1)]),polynom([monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),5),up,col(up_n_min_max_nval,4),nval,18,3,t([col(up_n_min_max_nval,1),col(up_n_min_max_nval,2),col(up_n_min_max_nval,7)],[n,min,rmin],[_14827,_14831,_14835],floor(polynom([monome([t(_14835,1)],-1),monome([t(_14827,1)],1)]),polynom([monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),1),secondary,col(up_n_min_range_nval,5),max,18,2,t([col(up_n_min_range_nval,2),col(up_n_min_range_nval,3)],[min,range],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),2),secondary,col(up_n_min_range_nval,6),minmax,18,2,t([col(up_n_min_range_nval,2),col(up_n_min_range_nval,3)],[min,range],[_14813,_14817],if(eq(_14817,0),0,_14813)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(partition,up(nval),3),up,col(up_n_min_range_nval,4),nval,18,3,t([col(up_n_min_range_nval,1),col(up_n_min_range_nval,2),col(up_n_min_range_nval,3)],[n,min,range],[_14827,_14831,_14835],floor(polynom([monome([t(_14835,1)],-1),monome([t(_14827,1)],1)]),polynom([monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),4),up,col(up_n_min_range_nval,4),nval,18,3,t([col(up_n_min_range_nval,1),col(up_n_min_range_nval,2),col(up_n_min_range_nval,7)],[n,min,rmin],[_14827,_14831,_14835],floor(polynom([monome([t(_14835,1)],-1),monome([t(_14827,1)],1)]),polynom([monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),1),secondary,col(up_n_min_sum_squares_nval,5),minmax,12,3,t([col(up_n_min_sum_squares_nval,1),col(up_n_min_sum_squares_nval,2),col(up_n_min_sum_squares_nval,3)],[n,min,sum_squares],[_14831,_14835,_14839],min(polynom([monome([t(_14831,1),t(_14835,1)],-1),monome([t(_14839,1)],1)]),polynom([monome([t(_14835,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,up(nval),2),up,col(up_n_min_sum_squares_nval,4),nval,12,3,t([col(up_n_min_sum_squares_nval,1),col(up_n_min_sum_squares_nval,2),col(up_n_min_sum_squares_nval,6)],[n,min,rmin],[_14831,_14835,_14839],floor(polynom([monome([t(_14839,1)],-1),monome([t(_14831,1)],1)]),polynom([monome([t(_14835,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).

missing(up_n_min_nval,up,nval).
missing(up_n_sum_squares_nval,up,nval).
missing(up_n_max_range_nval,col,rmin).
missing(up_n_max_range_nval,col,oc).
missing(up_n_max_sum_squares_nval,up,nval).
missing(up_n_min_max_nval,col,rmin).
missing(up_n_min_max_nval,col,oc).
missing(up_n_min_range_nval,col,rmin).
missing(up_n_min_range_nval,col,oc).
missing(up_n_min_range_nval,up,nval).
missing(up_n_min_sum_squares_nval,col,rmin).
missing(up_n_min_sum_squares_nval,up,nval).
missing(up_n_range_sum_squares_nval,up,nval).
